/////////////////////////////////////////////////////////////////////
// Micro Hachune sample for PIC12F675 / Hitech-C PICCLITE v9.60PL1
// Copyright(c)2009 Sumio Morioka (http://www002.upp.so-net.ne.jp/morioka)
//
// NOTE: COIL is assigned to GP5
/////////////////////////////////////////////////////////////////////

#include <htc.h>
static          bank1 unsigned char	IOC		@ 0x96;

#define	int8	signed char
#define	uint8	unsigned char
#define	int16	signed int
#define	uint16	unsigned int
#define	int32	signed long
#define	uint32	unsigned long

__CONFIG(INTIO & UNPROTECT & BOREN & MCLRDIS & PWRTEN & WDTDIS);


//////////////////////////////////////////////////////////////////////////////////////
// MAIN
//////////////////////////////////////////////////////////////////////////////////////

void main()
{
	uint16	i;

	/////////////////////////////////////////////////////////////////////////////////////
	// init HW
	/////////////////////////////////////////////////////////////////////////////////////
	OSCCAL	= _READ_OSCCAL_DATA();
	INTCON	= 0x00;		// DI()

	OPTION	= 0x80;		// bit7:pull up disable
	GPIO	= 0x00;
	CMCON	= 0x07;		// digital I/O (comparator reset)
	ANSEL	= 0x00;		// bit3-0: digital I/O
	ADCON0	= 0x00;		// bit0: a/d off
	VRCON	= 0x00;		// bit7: vr off
	WPU		= 0x00;		// pull up disable
	TRISIO	= 0x08;		// GP3:in, others:out (GP5: COIL)

	IOC		= 0x00;		// int on chg disabled
	PIE1	= 0x01;		// bit6:a/d conv int disable, bit0:TMR1 int enable

	/////////////////////////////////////////////////////////////////////////////////////
	// Infinite loop
	/////////////////////////////////////////////////////////////////////////////////////
	while (1) {
		GPIO5	= 0;
		for (i = 0; i < 10000; i++)
			;

		GPIO5	= 1;
		for (i = 0; i < 10000; i++)
			;
	}
}
